Bug 1575430 - Underscore and non-breaking space not available anymore in Gnome with "Bepo" layout
Summary: Underscore and non-breaking space not available anymore in Gnome with "Bepo" ...
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-shell
Version: 28
Hardware: x86_64
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Owen Taylor
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-05-06 22:13 UTC by Jean-Loup Tastet
Modified: 2019-05-28 21:57 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-05-28 21:57:45 UTC
Type: Bug


Attachments (Terms of Use)

Description Jean-Loup Tastet 2018-05-06 22:13:28 UTC
Description of problem:

When selecting the keyboard layout "French (Bepo, ergonomic, Dvorak way)" in Gnome, it is not possible to type an underscore (or a non-breaking space) anymore within the graphical session.
However, it is still possible to do so in the tty.
The key combination to type an underscore with the Bepo layout is AltGR+Space, and Shift+Space to type a non-breaking space. Instead, it now types a space.
AltGr still works as usual and allows to type other special characters. The Space key only allows to type spaces.

Version-Release number of selected component (if applicable):
* Fedora Workstation 28 (fully updated: 2018-05-06-2358 UTC+0200)
* Gnome Shell 3.28.1

How reproducible: Always

Steps to Reproduce:
1. Install Fedora Workstation 28
2. When prompted for the keyboard layout, select French (Bepo, ergonomic, Dvorak way)
3. Finish the installation
4. Open a text editor and try to type an underscore using AltGr+Space or a non-breaking space using Shift+Space.

Actual results: The resulting characters are all spaces.

Expected results: The correct characters are entered.

Additional info:
* Tested on F28 (both bare-metal and VM)
* Same problem on CentOS 7.0 with Gnome 3.28
* This issue was *not* present on Arch Linux as of 2018-05-04, with the same Gnome 3.28
* A workaround for *some* applications is to use "setxkbmap fr bepo". However, this breaks Gnome's layout switching and the change is not persistent.

Comment 1 Jean-Loup Tastet 2018-07-25 21:42:57 UTC
When using two keyboard layouts, this issue seems to happen only when choosing the shortcut `Win+Space` in "Layout Switching Options" during install. If this option is left unticked, then it is possible to type underscores using the Bepo layout.

(Tested on a bare-metal install with layouts Bepo and Norwegian; cannot reproduce in a VM because pressing `AltGr+Space` now opens the application menu instead of inputting an underscore)

In both cases, the issue seems to be that the key combination `AltGr+Space` is treated as a desktop shortcut instead of a character input.

Suggestion: disable desktop shortcuts which correspond to valid character inputs for the selected layout.

Comment 2 Jean-Loup Tastet 2018-07-25 21:50:10 UTC
Possibly related to upstream bug 712145:
https://bugzilla.gnome.org/show_bug.cgi?id=712145

Comment 3 Ben Cotton 2019-05-02 21:15:26 UTC
This message is a reminder that Fedora 28 is nearing its end of life.
On 2019-May-28 Fedora will stop maintaining and issuing updates for
Fedora 28. It is Fedora's policy to close all bug reports from releases
that are no longer maintained. At that time this bug will be closed as
EOL if it remains open with a Fedora 'version' of '28'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 28 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 4 Ben Cotton 2019-05-28 21:57:45 UTC
Fedora 28 changed to end-of-life (EOL) status on 2019-05-28. Fedora 28 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.